function ExecuteCommand(cmd, argumentArray)
    local _PRINTSTATSCONTROL = "dump"
    local _PRINTSTATSCHAT = "chat"


    if cmd == _PRINTSTATSCHAT then
        local chatDumpLocation = string.lower(argumentArray[1])

        if (chatDumpLocation == "personal" or chatDumpLocation == "me" or chatDumpLocation == "party") then
            print("Changing chat dump to: " .. chatDumpLocation)
            GLOBAL_WFGoWhoosh_ChatPreference = chatDumpLocation
   --         print("ChatPreference Global: " .. _G["GLOBAL_WFGoWhoosh_ChatPreference"])
        else
            print("location unknown. Received: " .. chatDumpLocation)
            print("Please specify 'personal', 'me', or 'party'.")
        end

   --    print("chat dump location: " .. chatDumpLocation)
    elseif cmd == _PRINTSTATSCONTROL then
        local chatDumpEnabled = string.lower(argumentArray[1])

        print("Dumping stats to: " .. chatDumpEnabled)
        GLOBAL_WFGoWhoosh_ChatEnabled = chatDumpEnabled == "true"
    --    print("ChatEnabled Global: " .. tostring(_G["GLOBAL_WFGoWhoosh_ChatEnabled"]))
    else
        print("Unrecognized command. Please specify '" .._PRINTSTATSCHAT .. "' or '" .. _PRINTSTATSCONTROL .. "'.")
    end
end



local function MyAddonCommands(msg, editbox)
    local _, _, cmd, args = string.find(msg, "%s?(%w+)%s?(.*)")

    if (cmd ~= nil) then
    --    print("cmd received: " .. cmd)
        
        if (args ~= nil and args ~= "") then
      --      print("arguments received: " .. args)
            local argsArray = StringSplit(args, " ")
            
            ExecuteCommand(cmd, argsArray)

        else
            print("No arguments were received for the " .. cmd .. " command")
            return
        end
     else
        print("No command was received.")
        return
    end
end

SLASH_WindfuryGoWhoosh1, SLASH_WindfuryGoWhoosh2 = '/wfgw','/windfurygowhoosh'
SlashCmdList["WindfuryGoWhoosh"] = MyAddonCommands



